Agents that publish an A2A /.well-known/agent-card.json — 5772 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5772 indexed agents, 4819 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 5 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“AgentIndex x402” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call tools for AI agents: web search + content, documents, live market data, and multi-chain wallet/gas reads. Mainnet test from $0.000001 USDC on Base. Start with GET /wallet-intelligence ($0.001): one signature replaces wallet and gas reads on five EVM networks. Cheapest single reads cost…
-
Pay-per-call tools for AI agents: web search + content, documents, live market data, and multi-chain wallet/gas reads. Mainnet test from $0.000001 USDC on Base. Pay-per-call tools for AI agents in USDC on Base (x402/MPP): search, pdf, web-read, extract, summarize, fact-check, translate, jobs, discover. See GET /capabilities.
-
Jev-powered decisions, web search, PDF/web to Markdown, summarize. From $0.001, no API key.
-
mcp x402 ok
Jev-powered decisions, web search, PDF/web to Markdown, summarize. From $0.001, no API key.
“AgentRXI” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a down
AgentRXI sells 481 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds, voice agents (live speech-to-text, TURN, meeting rooms), video understanding, media and office documents, email send and receive, multi-agent rooms, queues and workflows and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.agentrxi.com/mcp. Docs: https://agentrxi.com/llms.txt
-
x402 down
AgentRXI sells 481 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds, voice agents (live speech-to-text, TURN, meeting rooms), video understanding, media and office documents, email send and receive, multi-agent rooms, queues and workflows and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.agentrxi.com/mcp. Docs: https://agentrxi.com/llms.txt
-
mcp down
232 pay-per-call agent tools: LLMs, search, browser, OCR, media, vision, email. x402 USDC.
“Andreax” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
a2a mcp ok
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.
“BlindOracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.
-
mcp degraded
Trust layer for the x402 agent economy: 40 pay-per-call SKUs, USDC on Base, verifiable proofs.
“Citiview Agent Market” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Citiview Agent Market sells 211 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.citiviewgroup.com/mcp. Docs: https://agents.citiviewgroup.com/llms.txt
-
Citiview Agent Market sells 211 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.citiviewgroup.com/mcp. Docs: https://agents.citiviewgroup.com/llms.txt
-
186 pay-per-call tools: search, LLMs, UK KYB, FRED, Census, maps, crypto. x402 USDC.
“Coin Railz” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 118.0ms; conformance: fail
-
a2a degraded
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
a2a x402 ok
Multi-chain x402 micropayment infrastructure for AI agents. 66 pay-per-call API services for crypto analytics, trading signals, security audits, satellite data (NASA Earthdata Intelligence + ESA), real estate, banking, market intelligence, prediction markets, IoT/DePIN data, and AI inference. Native Coinbase Agentic Wallet compatible. OWS (Open Wallet Standard) compatible. Pay with USDC on Ethereum or Base - prices from $0.05 to $10.00 per request.
-
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
“CONNSKILL Growth Services” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, SEO/SERP research. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery endpoints are plain HTTP, see the skill descriptions.
-
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.
-
Pay-per-call access to SEO and SERP data, keyword research, backlink and site audits, local business search, SMS verification, social marketing, EU-hosted LLM inference, and read-only on-chain calls. **No signup, no API key, no subscription.** Agents pay per request in USDC on Base via x402 (HTTP 402). Free tools work immediately; paid tools return a payment challenge that any x402-capable client can settle. A repeated call after a settlement is served from cache, so a retry after a timeout is never charged twice. Run by CONNSKILL GmbH & Co. KG, Germany. Live conformance results at https://agent.connskill.com/conformance
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kartenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK statwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“InsideOut” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
conformance: fail
-
InsideOut by Luther Systems — an agentic cloud architect and infrastructure design assistant. Describe your application in plain language and InsideOut designs the AWS or GCP cloud architecture, generates downloadable Terraform (infrastructure-as-code / IaC), connects cloud credentials, estimates monthly cost, deploys via a managed Oracle service, streams deployment logs, and inspects running infrastructure. Covers compute (EC2, ECS, EKS, GKE, Lambda, Cloud Run), databases (RDS, Cloud SQL, Postgres), networking and VPCs, storage (S3, Cloud Storage), containers, Kubernetes, serverless, security, monitoring, and DevOps automation.
-
Conversational AI agent that designs AWS or GCP infrastructure end-to-end — describe your application in plain English, and Riley designs the architecture, generates production-ready Terraform, estimates monthly costs, and deploys. ## Highlights - **24 tools** across design, deployment, and post-deploy infrastructure inspection - Coverage of 50+ AWS and GCP services - Module-by-module Terraform output (networking, compute, storage, auth, observability, …) - Cost estimates broken down per component before any deploy - One-command provisioning to AWS or GCP, then live monitoring + drift detection - No Terraform expertise required ## Hosted Streamable HTTP, no-auth required: `https://app.luthersystems.com/v1/insideout-mcp` ## Other listings - **mcp.so:** https://mcp.so/server/insideout - **Glama:** https://glama.ai/mcp/servers/luthersystems/insideout-agent-skills - **Official MCP Registry:** `com.luthersystems.insideout/mcp` ## Source Skills bundle and MCP discovery artifacts: https://github.com/luthersystems/insideout-agent-skills
“Losbeto” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“OpenWorker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).
-
Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).
“OT/ICS Threat Intelligence API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.
-
Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.
“relay402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call verification and data APIs for autonomous agents: check packages, crawl permissions, sanctions lists, and products before acting. x402 v2, USDC on Base. No API keys, no signup — payment is the authentication.
-
Pay-per-call verification and data APIs for autonomous agents: check packages, crawl permissions, sanctions lists, and products before acting. x402 v2, USDC on Base. No API keys, no signup — payment is the authentication.
“Scrape402” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.
-
a2a ok
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
-
x402 ok
Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.
“tokenguard” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“WatchFor” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
**WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)
-
Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).
“x402 web tools” is shared by 8 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Coin RailzCoin Railz● healthy
Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.
B+9.8 🔓 open JSONRPC 80 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.9 🔓 open JSONRPC 79 skills -
The verification layer for autonomous agents: a neutral, model-agnostic verdict before an irreversible action (/review — capital-scale-aware, the same gate we run our own important decisions through), a signed proof after (/prove), and a public, Nostr- and Bitcoin-anchored, on-chain-outcome-linked track record (/ledger) you can verify against our published key WITHOUT trusting us. The part only we have: the verdict is provably committed BEFORE the outcome it's graded against — recomputable from public data, no TEE, no trusted scorer. Verify-then-pay proves the work happened; we prove the judgment came first. The independent guardian agent. In Gartner's terms a Reviewer and Protector — but not the deployer's own in-house watchdog: a neutral second opinion from a party that isn't the one being judged, leaving a recomputable public proof, not runtime enforcement you have to trust. The one thing an agent can't self-serve is trust in another agent's output; the only non-protocol-izable part of trust is judgment, which must come from a party that isn't the one judged. The buyer is whoever is on the hook for an agent's mistakes. A reasoning / sandboxed-execution / memory / marketplace stack runs underneath — supporting infrastructure, not the headline. Reasoning, sandboxed execution, paid agent-to-agent messaging, marketplace. Built and used daily by our own agent fleet, who pay each other in sats. Free reg; pay per call in Lightning, USDC (x402), or card.
B9.6 ⚡ agent-pays · x402 JSONRPC 15 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
B9.4 🔓 open 81 skills -
A2A adapter for Kairos Signal data services. Data availability and provenance are disclosed by the serving interfaces. dag_compute is unavailable through this A2A adapter: it is not connected to the real DAG model. Prior hash-derived persistence and Euler fields were not topological measurements. No model inference is performed or charged. No predictive-performance or trading-return claim is made here.
B+9.6 🔓 open 6 skills -
HALOWERK statwerk● healthy
HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 18 skills -
HALOWERK kartenwerk● healthy
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 20 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 28 skills -
TrueCalci Computational AgentTrueCalci● healthy
Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.
B9.3 🔓 open 29 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.7 🔓 open 191 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.6 🔓 open JSONRPC 130 skills -
OpenWorkerOpenWorker● healthy
Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).
C+8.6 🔓 open 13 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.3 🔓 open 132 skills -
WatchForWatchFor● healthy
Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).
C+8.7 🔑 human key JSONRPC 19 skills -
scrape402● healthy
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
C+8.7 🔓 open 77 skills -
InsideOutLuther Systems● healthy
InsideOut by Luther Systems — an agentic cloud architect and infrastructure design assistant. Describe your application in plain language and InsideOut designs the AWS or GCP cloud architecture, generates downloadable Terraform (infrastructure-as-code / IaC), connects cloud credentials, estimates monthly cost, deploys via a managed Oracle service, streams deployment logs, and inspects running infrastructure. Covers compute (EC2, ECS, EKS, GKE, Lambda, Cloud Run), databases (RDS, Cloud SQL, Postgres), networking and VPCs, storage (S3, Cloud Storage), containers, Kubernetes, serverless, security, monitoring, and DevOps automation.
C+8.9 🔓 open JSONRPC 1 skill -
NovuNovu● healthy
The open-source notification infrastructure for agents and products. Send, receive, and track notifications across channels.
B9.6 🔓 open HTTP+JSON 7 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.0 🔓 open HTTP+JSON 362 skills -
relay402relay402● healthy
Pay-per-call verification and data APIs for autonomous agents: check packages, crawl permissions, sanctions lists, and products before acting. x402 v2, USDC on Base. No API keys, no signup — payment is the authentication.
B9.6 ⚡ agent-pays · x402 HTTP+JSON 30 skills -
BlindOracleCraig M. Brown● healthy
Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.
A10.0 🔑 human key HTTP+JSON 42 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
B+9.6 🔓 open HTTP+JSON 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
Senzing Entity ResolutionSenzing, Inc.● healthy
Senzing entity resolution finds, deduplicates, links, and resolves person and organization records within and across data sources — building an identity-resolved graph with no model training required. Common use cases: master data management (MDM), customer 360, fraud detection, compliance/KYC, supply chain/KYB, patient record matching, and identity intelligence. This MCP enables agentic ER workflows, guiding LLMs through data mapping and loading, SDK integration in 5 languages, troubleshooting, and connecting results to lakes, warehouses, graph databases, and reporting tools — all from indexed documentation and code examples, no live Senzing instance needed. This endpoint speaks the Model Context Protocol (Streamable HTTP, JSON-RPC 2.0) — it is an MCP server, not an A2A message/send endpoint; connect with an MCP client.
B+9.6 🔓 open 8 skills -
Citiview Agent MarketCitiview Group● healthy
Citiview Agent Market sells 211 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.citiviewgroup.com/mcp. Docs: https://agents.citiviewgroup.com/llms.txt
C+9.0 🔓 open JSONRPC 11 skills -
AndreaxAndreax● healthy
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
B9.2 🔓 open 296 skills -
GISGPGISGP● healthy
Hosted geospatial tool server for AI agents: coordinate conversion, format conversion (GeoJSON/Shapefile/KML/GPX/DXF/CSV), open-data discovery, terrain, land cover, protected areas, hazard and site assessments. Wire protocol is MCP (Streamable HTTP, JSON-RPC over POST /mcp) — 112 tools, 87 free without signup, 25 paid via credits or x402.
C+8.9 🔓 open 112 skills -
LosbetoLosbeto● healthy
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
B9.5 🔓 open 118 skills -
Hardware-aware threat intel for ICS/SCADA environments. 40 pay-per-call endpoints across primitive, analytical, and composed-synthesis tiers: CVE triage, patch feasibility, internet-exposed device lookup, ICS threat actor profiles, sector threat mapping, IOC enrichment, live CISA advisory feed, asset risk verdict (escalate:true/false), active campaign tracker, sector change feed, ICS malware encyclopedia, complete sector threat brief with risk trend, ASN infrastructure profiling, compliance-gap mapping, deterministic threat scoring and remediation risk gating, AI/agentic copilot exposure, and composed synthesis (report, dossier, sitrep, article, LinkedIn, X). DeepSeek-enriched. No API keys — pure USDC micropayments on Base via x402.
B9.5 🔓 open 40 skills -
CoordinaloCoordinalo● healthy
Plataforma SaaS multi-tenant para gestionar servicios profesionales: agenda, finanzas y CRM. Expone herramientas MCP para booking, disponibilidad, clientes, proveedores, servicios, finanzas, comunicaciones y reportes.
C7.9 🔑 human key 113 skills -
StudioMeyer MemoryStudioMeyer● healthy
Long-term AI memory with bi-temporal knowledge graph. 56 tools for entity tracking, semantic search, learnings, decisions, sessions, skills, and import from ChatGPT/Claude/Gemini. Provider-agnostic; works with any LLM that speaks MCP. Hosted at Hetzner Nuremberg (Germany, EU), with tenant-scoped application queries.
C+9.0 🔑 human key 10 skills -
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.
C+8.9 🔓 open JSONRPC 47 skills -
InsideOutLuther Systems● healthy
InsideOut by Luther Systems — an agentic cloud architect and infrastructure design assistant. Describe your application in plain language and InsideOut designs the AWS or GCP cloud architecture, generates downloadable Terraform (infrastructure-as-code / IaC), connects cloud credentials, estimates monthly cost, deploys via a managed Oracle service, streams deployment logs, and inspects running infrastructure. Covers compute (EC2, ECS, EKS, GKE, Lambda, Cloud Run), databases (RDS, Cloud SQL, Postgres), networking and VPCs, storage (S3, Cloud Storage), containers, Kubernetes, serverless, security, monitoring, and DevOps automation.
C+9.1 🔓 open 1 skill -
AgentIndex x402● healthy
Pay-per-call tools for AI agents: web search + content, documents, live market data, and multi-chain wallet/gas reads. Mainnet test from $0.000001 USDC on Base. Start with GET /wallet-intelligence ($0.001): one signature replaces wallet and gas reads on five EVM networks. Cheapest single reads cost $0.001. USDC on Base (x402), no account, no API key. Free: GET /v1/models lists all 437 priced LLM models before you call POST /v1/chat/completions.
C8.5 🔓 open 234 skills -
PageAuditPageAudit● healthy
Check what search engines can read on your website. Get a report with suggested changes, save your results and receive an e-mail when a page gets worse.
C+9.0 🔓 open 20 skills -
miscsubjectsmiscsubjects.com● degraded
An execution environment that publishes proven work: governed work objects with infrastructure-run acceptance tests, hash-chained action logs, execution-evidence manifests with per-step raw payloads, reproductions, comparisons, and versioned skills whose promotion is earned by evidence.
E5.3 🔑 human key HTTP+JSON 22 skills -
Pre-etiologic zoonotic spillover risk forecasting at 25 km tile resolution. Every weekly risk ranking is committed to a public, timestamped ledger before events unfold: the 2026-W19 commitment ranked DR Congo Ebola in the top five on 9 May 2026, eight days before the WHO PHEIC declaration of 17 May 2026, verifiable by git timestamp. Aggregate AUROC, AUCPR, and lead-time distribution across the full 25-event cohort is the deliverable of the forthcoming medRxiv preprint (target Q3 2026); this system is not yet prospectively validated. Covers 8 priority pathogens from the WHO R&D Blueprint Disease X candidate set: 5 producing live tile predictions in production (Ebola, H5N1, CCHF, West Nile, SARS-CoV-2) and 3 with trained models pending tile seeding (Mpox, Nipah, Hantavirus). Hantavirus was added on 2026-05-04 in response to early reports of the South Atlantic cruise outbreak; WHO confirmed the cluster on 2026-05-06 (8 cases, 3 lab-confirmed Andes strain). Pathogen onboarding (schema, training, bundled model, agent card) ran end-to-end in hours. Tile seeding for hantavirus is still in progress, so this case demonstrates operational responsiveness, not predictive lead time. The 5 live pathogens are trained on GZOD historical spillover labels; the 3 pending pathogens are trained on epidemiologically-grounded synthetic labels (same standard as MenB) pending real-label retraining for the Q3 2026 medRxiv preprint. See `prediction_status` and the training-script citations on each entry. Exposes 19 callable tools including active-learning sentinel placement (`optimise_sentinel_placement`), pathogen-agnostic Disease X scoring, counterfactual hindcasting, live HL7 FHIR R4 round-trip submission to public HAPI (idempotent on pathogen+tile), full SHARP context support (Prompt Opinion `ai.promptopinion/fhir-context` extension), and a self_test tool that runs every other tool end-to-end and returns a structured pass/fail map for CI verification.
E4.2 🔓 open 19 skills -
ClozureClozure● down
Agent-as-a-service platform. Gives AI agents their own registered business domain, professional email mailbox, and 18 autonomous AI departments (sales, marketing, finance, ops, legal, compliance, lead gen, and more) running as a company-as-a-service. Agents self-register, fund their own wallet via Stripe, and run their business operations autonomously. Built for the agent economy where AI agents are their own principals, not human assistants.
B9.4 🔑 human key 8 skills -
AgentRXIAgentRXI● down
AgentRXI sells 481 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds, voice agents (live speech-to-text, TURN, meeting rooms), video understanding, media and office documents, email send and receive, multi-agent rooms, queues and workflows and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.agentrxi.com/mcp. Docs: https://agentrxi.com/llms.txt
A9.8 🔓 open JSONRPC 16 skills